## GstGLMemoryEGL

GstGLMemoryEGL — memory subclass for EGLImage's

## Functions

void | gst_gl_memory_egl_init_once ()
EGLDisplay | gst_gl_memory_egl_get_display ()
EGLImageKHR | gst_gl_memory_egl_get_image ()
gboolean | gst_is_gl_memory_egl ()

## Types and Values

| GstGLMemoryEGLAllocator
| GstGLMemoryEGLAllocatorClass
#define | GST_GL_MEMORY_EGL_ALLOCATOR_NAME
| GstGLMemoryEGL

## Includes

    #include <gst/codecparsers/gstmpeg4parser.h>

## Description

GstGLMemoryEGL is created or wrapped through `gst_gl_base_memory_alloc()` with GstGLVideoAllocationParams.

## Functions

### gst_gl_memory_egl_init_once ()

    void
    gst_gl_memory_egl_init_once (void);

Initializes the GL Memory allocator. It is safe to call this function multiple times. This must be called before any other GstGLMemoryEGL operation.

Since: 1.10

### gst_gl_memory_egl_get_display ()

    EGLDisplay
    gst_gl_memory_egl_get_display (GstGLMemoryEGL *mem);

#### Parameters

mem | a GstGLMemoryEGL |

#### Returns

The EGLDisplay `mem` is associated with

Since: 1.10

### gst_gl_memory_egl_get_image ()

    EGLImageKHR
    gst_gl_memory_egl_get_image (GstGLMemoryEGL *mem);

#### Parameters

mem | a GstGLMemoryEGL |

#### Returns

The EGLImage held by `mem`

Since: 1.10

### gst_is_gl_memory_egl ()

    gboolean
    gst_is_gl_memory_egl (GstMemory *mem);

#### Parameters

mem | a GstMemory to test |

#### Returns

whether `mem` is a GstGLMemoryEGL

Since: 1.10

## Types and Values

### GstGLMemoryEGLAllocator

    typedef struct {
    } GstGLMemoryEGLAllocator;

Opaque GstGLMemoryEGLAllocator struct

### GstGLMemoryEGLAllocatorClass

    typedef struct {
    } GstGLMemoryEGLAllocatorClass;

The GstGLMemoryEGLAllocatorClass only contains private data

### GST_GL_MEMORY_EGL_ALLOCATOR_NAME

    #define GST_GL_MEMORY_EGL_ALLOCATOR_NAME "GLMemoryEGL"

The name of the GL Memory EGL allocator

### GstGLMemoryEGL

    typedef struct {
    } GstGLMemoryEGL;

Private instance

## See Also

GstGLMemory, GstGLAllocator, GstGLBufferPool